package uca.baptistearthur.geocaching.recyclerview

import android.util.Log
import android.view.View
import android.widget.Button
import androidx.navigation.NavController
import androidx.recyclerview.widget.RecyclerView.ViewHolder
import uca.baptistearthur.geocaching.R


class RoadTripViewHolder(val cellule: View, val navController: NavController): ViewHolder(cellule) {

    var roadTripAccessButton: Button = cellule.findViewById(R.id.btnGetRoadTripsInfo)

    init{
        roadTripAccessButton.setOnClickListener{
            val roadTripName = roadTripAccessButton.text.substring(3)
            Log.d("RoadTripViewHolder", "RoadTripViewHolder clicked: ${roadTripName}")
            navController.navigate(R.id.action_roadTripFragment_to_roadtripDetail)
//            val roadTrip: RoadTrip = Find roadtrip by name here
//            FragmentService().loadFragment(DetailledRoadTripFragment(roadTrip), (cellule.context as MainWindow).supportFragmentManager)
        }
    }

}